Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156901 - xerces-j2 update fails
Summary: xerces-j2 update fails
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xerces-j
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gary Benson
QA Contact:
URL:
Whiteboard:
Depends On: 157045
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-05 01:06 UTC by Michal Jaegermann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-06 15:49:24 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2005-05-05 01:06:43 UTC
Description of problem:

An attempt to update xerces-j2 package fails with:

/var/tmp/rpm-tmp.28106: line 3: rebuild-gcj-db: command not found
error: %post(xerces-j2-2.6.2-4jpp_4fc.x86_64) scriptlet failed, exit status 127

This scriplet does (on x86_64)

update-alternatives --install /usr/share/java/jaxp_parser_impl.jar \
  jaxp_parser_impl /usr/share/java/xerces-j2.jar 40
rebuild-gcj-db /usr/lib64

The trouble is that 'rebuild-gcj-db' is indeed not there and xerces-j2
is not dependent on some package which could provide this.  In an effect
one is left with remains of xerces-j2-2.6.2-4jpp_3fc and partially
installed xerces-j2-2.6.2-4jpp_4fc with both reported by rpm as present.

Version-Release number of selected component (if applicable):
xerces-j2-2.6.2-4jpp_4fc

Comment 1 Gary Benson 2005-05-06 12:52:14 UTC
Hmmm, the packages now have the relevant dependencies but rpm doesn't honour them.

Comment 2 Gary Benson 2005-05-06 15:49:24 UTC
Ok, FC4t3's rpm should honour them, closing...


Note You need to log in before you can comment on or make changes to this bug.